<?php

namespace Lc\SovBundle\Controller\User;

use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Factory\User\GroupUserFactory;

abstract class GroupUserAdminController extends AbstractAdminController
{

    public function configureFields(string $pageName): iterable
    {
        return [
                TextField::new('title'),
                TextField::new('devAlias'),
        ];
    }

    public function createEntity(string $entityFqcn)
    {
        $factory = new GroupUserFactory();
        return $factory->create();
    }
}
